Subject: [clue] WGLC comments on clue-datachannel-07

From: "Duckworth, Mark" <[email-masked]>
Date: Mon, 9 Feb 2015 12:01:34 -0800

The document looks good, I have only a couple minor suggestions.

draft-ietf-rtcweb-data-channel section 6.4 says each data channel has a priority attribute.  Does this attribute apply to reliable messages, or only unreliable?  I can't find it documented.  If it does not apply to the CLUE data channel, it would be good to say so.

3.3.2 - "A CLUE entity MUST NOT use the partial reliability and limited retransmission extensions defined in [RFC3758]."  Should this be more specific, in just limiting it for the CLUE data channel, and not limit it for any other WebRTC Data Channels that might be used for other purposes?  Maybe "A CLUE entity MUST NOT use the partial reliability and limited retransmission extensions defined in [RFC3758], for the CLUE data channel."  Or perhaps more simply "A CLUE data channel MUST NOT use the partial reliability and limited retransmission extensions defined in [RFC3758]."

3.3.3 - "A CLUE entity MUST use the ordered delivery SCTP service, as described in section 6.6 of [RFC4960]." Same comment as above, should this be limited to just the CLUE data channel?

Regards,
Mark

---

From: Paul Kyzivat <[email-masked]>
Date: Tue, 10 Feb 2015 17:55:57 -0500

On 2/9/15 3:01 PM, Duckworth, Mark wrote:
> draft-ietf-rtcweb-data-channel section 6.4 says each data channel has a
> priority attribute.  Does this attribute apply to reliable messages, or
> only unreliable?  I can’t find it documented.  If it does not apply to
> the CLUE data channel, it would be good to say so.

I *think* it does apply to reliable messages. (I'm remembering 
conversations in meetings, not text.) It would potentially affect the 
interaction between channels. But since it is only pertinent when 
multiple channels are in use I think we should say as little as possible 
about it.

> 3.3.2 – “A CLUE entity MUST NOT use the partial reliability and limited
> retransmission extensions defined in [RFC3758].”  Should this be more
> specific, in just limiting it for the CLUE data channel, and not limit
> it for any other WebRTC Data Channels that might be used for other
> purposes?  Maybe “A CLUE entity MUST NOT use the partial reliability and
> limited retransmission extensions defined in [RFC3758], for the CLUE
> data channel.”  Or perhaps more simply “A CLUE data channel MUST NOT use
> the partial reliability and limited retransmission extensions defined in
> [RFC3758].”

Yeah. I commented on this too.

> 3.3.3 – “A CLUE entity MUST use the ordered delivery SCTP service, as
> described in section 6.6 of [RFC4960].” Same comment as above, should
> this be limited to just the CLUE data channel?

Agree.

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 11 Feb 2015 07:04:23 +0000

Hi,

>> draft-ietf-rtcweb-data-channel section 6.4 says each data channel has 
>> a priority attribute.  Does this attribute apply to reliable messages, 
>> or only unreliable?  I can't find it documented.  If it does not apply 
>> to the CLUE data channel, it would be good to say so.
>
> I *think* it does apply to reliable messages. (I'm remembering conversations in meetings, not text.) It 
> would potentially affect the interaction between channels. But since it is only pertinent when multiple 
> channels are in use I think we should say as little as possible about it.

Even if we wanted to say something, I am not sure exactly what we could say.

If a CLUE entity also implements a data channel for X, it is really an implementation issue how priority is organized.

Regards,

Christer